/**
	construct_streams.cpp
	Purpose: sore information about log streams

	@author Thomas Büchler
*/
#include "construct_streams.hpp"
#include <iomanip>

using namespace std;


construct_streams::construct_streams(){};
construct_streams::construct_streams(std::string & out_dirname):out_dirname(out_dirname){
  log_filename	= out_dirname + "/log"; 
	
	error = false;
	
	//errorlog.open(err_filename); 
  log.open(log_filename); 
}

void construct_streams::close(){
	errorlog.close(); 
  log.close(); 	
}





void construct_streams::log_error(const std::string& mes){
	if(!error){
		errorlog.open(log_filename+"error");
	}
	error = true;
	errorlog << mes << endl;
}
